Skip to content
Back to top
View this page

# pip config

## Usage

Unix/macOS

    python -m pip config [<file-option>] list
    python -m pip config [<file-option>] [--editor <editor-path>] edit

    python -m pip config [<file-option>] get command.option
    python -m pip config [<file-option>] set command.option value
    python -m pip config [<file-option>] unset command.option
    python -m pip config [<file-option>] debug

Windows

    py -m pip config [<file-option>] list
    py -m pip config [<file-option>] [--editor <editor-path>] edit

    py -m pip config [<file-option>] get command.option
    py -m pip config [<file-option>] set command.option value
    py -m pip config [<file-option>] unset command.option
    py -m pip config [<file-option>] debug

## Description

Manage local and global configuration.

Subcommands:

- list: List the active configuration (or from the file specified)

- edit: Edit the configuration file in an editor

- get: Get the value associated with command.option

- set: Set the command.option=value

- unset: Unset the value associated with command.option

- debug: List the configuration files and values defined under them

Configuration keys should be dot separated command and option name, with the special prefix “global” affecting any command. For example, “pip config set global.index-url https://example.org/” would configure the index url for all commands, but “pip config set download.timeout 10” would configure a 10 second timeout only for “pip download” commands.

If none of --user, --global and --site are passed, a virtual environment configuration file is used if one is active and the file exists. Otherwise, all modifications happen to the user file by default.

## Options

--editor <editor>

  Editor to use to edit the file. Uses VISUAL or EDITOR environment variables if not provided.

  (environment variable: `PIP_EDITOR`)

--global

  Use the system-wide configuration file only

  (environment variable: `PIP_GLOBAL`)

--user

  Use the user configuration file only

  (environment variable: `PIP_USER`)

--site

  Use the current environment configuration file only

  (environment variable: `PIP_SITE`)